package ru.dbotthepony.kommons.util

import java.util.function.Supplier

fun interface FloatSupplier : Supplier<Float> {
	fun getAsFloat(): Float

	@Deprecated("Use type-specific method", replaceWith = ReplaceWith("this.getAsFloat()"))
	override fun get(): Float {
		return getAsFloat()
	}
}
